EDIT - feature request #9339

Improve warning message if save is necessary
12/02/2020 08:22 AM - Katja Luther

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

The actual warning message "The editor needs to be saved..." is misleading because normally only the active window is saved. But
maybe for other operations like moving synonyms other windows could be affected as well.
We need a more detailed message what will be saved and we should analyze if there are cases affecting other windows.

Especially if a taxon is clicked a second time, the message pops up and everything gets lost:

mail ERS:

mir passiert es beim schnellen Editieren relativ haufig, dass ich ein bereits gedffnetes Taxon, das ich gerade bearbeite, versehentlich
erneut 6ffne (durch Klicken auf das Taxon im Baum).

In dem Fall erscheint folgende Warnung:

,Warnung - Diese Operation wird den Editor speichern. Ebenso werden alle weiteren ungespeicherten Anderungen gespeichert. Um
das zu verhindern, driicken Sie ,Abbrechen®.

Ich denke ,,000ps, das wollte ich jetzt gar nicht. Wie komme ich ohne Schaden wieder aus dem Dialog raus?“
AuBerdem ist diese Warnung nicht optimal formuliert.

Jetzt habe ich drei Méglichkeiten:

,0K", ,cancel” oder den Dialog mit dem Kreuz schlie3en.

Anscheinend ist es so, dass alle drei Méglichkeiten dazu fiihren, dass die bisher an demselben schon gedffneten Taxon gemachten
Anderungen NICHT gespeichert werden und verlorengehen. Sobald dieser Warn-Dialog erscheint, weif3 ich nicht, wie ich das
verhindern kann- ich habe alle drei Optionen getestet, und immer gehen die Anderungen verloren.

Ideen dazu: ich hatte schon mal angemerkt, dass der Satz im Dialog ,wird den Editor speichern“ unversténdlich ist. Was genau wird
eigentlich gespeichert? Alle Anderungen an allen gedffneten Taxa? Das scheint aber nicht der Fall zu sein. Und was ist der

Unterschied zum zweiten Satz?

Fur den speziellen Fall, dass ein schon gedffnetes Taxon erneut versucht wird zu éffnen, sollte es vielleicht einen anderen Dialog
geben:

,Dieses Taxon ist bereits gedffnet. Wenn Sie es erneut éffnen, gehen alle bisherigen Anderungen verloren. Wollen Sie die
Anderungen jetzt speichern?”

Related issues:
Related to EDIT - bug #9587: Unsaved changes are lost when trying to open a t... Closed

History

#1 - 12/02/2020 09:07 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.19

We should do this soon

#2 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#3 - 03/10/2021 02:48 PM - Andreas Miiller
- Target version changed from Release 5.21 to Release 5.22

#4 - 03/18/2021 05:22 PM - Andreas Miiller

- Tags set to fast

#5 - 04/19/2021 05:06 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#6 - 04/26/2021 01:03 PM - Katja Luther

- Description updated

#7 - 04/26/2021 04:30 PM - Andreas Miiller

- Related to bug #9587: Unsaved changes are lost when trying to open a taxon a second time added
